import React, { Component } from "react";
import {Model_Chargement} from "../Models/Model_Chargement";
import {sendData} from "../Traitements/Recuperation_chargement";

class Information_Chargement extends Component {
  render() {
    let percentage, voltReader, etat, date;
     
    let model_Chargement = new Model_Chargement();

    date = model_Chargement.getDate();
    voltReader = sendData();
    percentage = (voltReader/1023)*100;
    
    if (percentage === 100)
   {
    etat = "Batterie pleine"
   }
   else if (percentage < 10)
   {
    etat = "Batterie faible !"
   }
   else{
     etat = " ";
   }


    return (
      <div>
  
        <br />
        <br />
        <b>
          VOLTAGE : {voltReader} {" V"}
        </b>
        <br />
        <br />
        <br />

        <b>
          POURCENTAGE : {percentage} {" %"}
        </b>
        <br />
        <br />
        <br />
        
        <b> DATE : {date}</b>
        <br />
        <br />
        <br />
        <b> {etat}</b>
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
       
      </div>
    );
  }
}

export default Information_Chargement;

/* ------------------- VERSION ARDUINO AVEC ECRAN LCD -----------------------
void loop() 
{ 
   int voltReading = analogRead(battPin);
   int volts = (voltReading/1023)*100;
   if (volts == 100)
   {
   lcd.setCursor(12,0);
   lcd.print(volts);
   lcd.print("%");
   delay(1000);
   lcd.clear();
   }
   else if (volts < 10)
   {
   lcd.setCursor(14,0);
   lcd.print(volts);
   lcd.print("%");
   delay(1000);
   lcd.clear();
   }
   else
   {
   lcd.setCursor(13,0);
   lcd.print(volts);
   lcd.print("%");
   delay(1000);
   lcd.clear();
   }
}
 */
